#include <iostream>
#include <bits/stdc++.h>
#include <algorithm>
using namespace std;

int main()
{
    int n,k,h,t;
    cin>>n>>k;
    //vector<int> a,b;
    int a[n], b[n],kopija[n];
    for(int i=0; i<k;i++){
        cin>>a[i];
        b[i] = 0;
        kopija[i] = a[i];
        /*cin>>h
        a.push_back(h);
        b.push_back(0);*/
    }
    sort(a, a + k);
    for(int i=0; i<k; i++){
        if(a[i]==1){
             b[i] = 1;
        }
        else{
            for(int j=0; j<i;j++){
                if(a[i] % a[j] == 0){
                    b[i] = b[i] ^ a[j];
                }
            }
            b[i] = b[i] ^ a[i];
        }
    }
    for(int i=0;i<k;i++){
        for(int j=0;j<k;j++){
            if(a[j] == kopija[i]){
                cout<<b[j]<< endl;
            }
        }
    }
    return 0;
}